=begin
njeremy2 01-06-2012
Ajust par TIG 20120601

Utilisation :
On selectionne le dessin  intgrer
On lance le plugin
On selectionne le groupe voulu.
Le plugin intgre le dessin ou la slection dans le groupe slectionn.

=end

Sketchup::require 'sketchup'

class Jeremy_integration_tool

	def activate 
		#UI.messagebox "plugin is activated"
        @model=Sketchup.active_model
        @ss=@model.selection
        if @ss.empty?
          UI.messagebox("Nothing Selected !")
          Sketchup.send_action("selectSelectionTool:")
          return nil
        end
		UI.messagebox "Select a Group"
	end
	
	def onLButtonDown(flags, x, y, view)
		pickHelper = view.pick_helper
		pickHelper.do_pick(x, y)
        allPicked=pickHelper.all_picked
		@group = nil
        allPicked.each{|e|@group=e if e.is_a?(Sketchup::Group)}
        unless @group
            UI.messagebox("That's NOT a Group !")
            return nil
        end
		self.integration()
        Sketchup.send_action("selectSelectionTool:")
	end

	def integration()
		## initialiser la slection
		ents = @model.active_entities
		things = @ss.to_a
		#UI.messagebox "initialization ok"
		tempgroup=ents.add_group(things)
		#UI.messagebox "add group ok"
		inst=@group.entities.add_instance(tempgroup.entities.parent, tempgroup.transformation*(@group.transformation.inverse))
		#UI.messagebox "add_instance OK"
		inst.explode
		tempgroup.erase!
		#Sketchup.status_text = "It Works !"
		# Mettre en mmoire la slection
		# Afficher un message qui demande de slectionner un groupe.
		# On slectionne le groupe
		# Une fois le groupe slectionn, on le colle en place
	end #end def integration
    
end #Ref


unless file_loaded?(File.basename(__FILE__))
    UI.menu("Plugins").add_item("njeremy2 integration"){
        Sketchup.active_model.select_tool(Jeremy_integration_tool.new())}
end
file_loaded(File.basename(__FILE__))		